/*                                                                      */
/*  crt0.s: C runtime entry                                             */
/*      Hideki Kozima (xkozima@nict.go.jp)                              */
/*      version 1.1 for ram-boot (August 27, 2005)                      */
/*                                                                      */
/*      The function "main" in main.c will be called                    */
/*      first in runtime.                                               */
/*                                                                      */

        .section        .text

        .extern         _main                   /*  main in main.c      */
        .global         _start                  /*  entry of this crt0  */

_start:
        mov.l           L_MAIN,r8
        jmp             @r8
        nop

        .align          4
L_MAIN:
        .long           _main                   /*  jmp only takes rn  */
