OUTPUT_FORMAT("coff-sh")
OUTPUT_ARCH(sh)
ENTRY(_start)
MEMORY
{
    rom  (rx) : org = 0x00000000, len = 0x00040000
    ramB (rw) : org = 0xffffd000, len = 0x00000800
    ram  (rw) : org = 0xffffd800, len = 0x00002000
    ram2 (rw) : org = 0xfffff800, len = 0x00000800
}
SECTIONS
{
    .text :
    {
        *(.text)
    } > ram

    . = ALIGN(4);

    .rodata : {
        *(.rodata)
        *(.rodata.*)
    } > ram

    . = ALIGN(4);
    _mdata = . ;

    .data :
    {
        _sdata = . ;
        *(.data)
        _edata = . ;
    } > ram

    . = ALIGN(4);

    .bss :
    {
        _sbss = . ;
        *(.bss)
        *(COMMON)
        _ebss = . ;
    } > ram

    .reserve :
    {
        _svbase = . ;
    } > ram2
}
